using System.Collections.Generic;

namespace Common.Library.DataLayer.DTO.Websites.JasonNeumannAudio.com
{
    public class WorkPageDTO
    {
        public int WorkPageID { get; set; }
        public WorkPageType WorkPageTypeID { get; set; }
        public string WorkPageName { get; set; }
        public string WorkPageValue { get; set; }
        public string WorkPageLink { get; set; }

        public enum WorkPageType
        {
            CopyText = 1,
            Links = 2,
            Poster = 3
        }
    }

    public class WorkPageDTOCollection : List<WorkPageDTO>{ } 
}